extends Area2D
## Rend possible la detection de corps statiques en mouvement
## Permet de contourner une limitation Godot 4.2


func _process(_delta: float) -> void:
	_force_detection_de_corps_statiques()


## Hack Godot 4.2 pour detecter les corps statiques entrant dans la zone
## Quand la zone bouge, elle detecte les corps statiques : voir Javelot
## Mais ce n'est pas le cas lorsque la zone ne bouge pas et qu'un corps statique
## bouge
func _force_detection_de_corps_statiques() -> void:
	set_position(get_position())
